xmlcmd_lxml.h File Reference
`#include <gwenhywfar/xmlcmd.h>`
`#include <gwenhywfar/db.h>`
`#include <gwenhywfar/xml.h>`
`#include <libxml/tree.h>`

Go to the source code of this file.

## Functions

GWENHYWFAR_API void | GWEN_XmlCommanderLibXml_EnterDocNode (GWEN_XMLCOMMANDER *cmd, xmlNodePtr xNode)
GWENHYWFAR_API GWEN_DB_NODE * | GWEN_XmlCommanderLibXml_GetCurrentDbGroup (const GWEN_XMLCOMMANDER *cmd)
GWENHYWFAR_API xmlNodePtr | GWEN_XmlCommanderLibXml_GetCurrentDocNode (const GWEN_XMLCOMMANDER *cmd)
GWENHYWFAR_API GWEN_DB_NODE * | GWEN_XmlCommanderLibXml_GetCurrentTempDbGroup (const GWEN_XMLCOMMANDER *cmd)
GWENHYWFAR_API GWEN_DB_NODE * | GWEN_XmlCommanderLibXml_GetDbRoot (const GWEN_XMLCOMMANDER *cmd)
GWENHYWFAR_API xmlNodePtr | GWEN_XmlCommanderLibXml_GetDocRoot (const GWEN_XMLCOMMANDER *cmd)
GWENHYWFAR_API GWEN_DB_NODE * | GWEN_XmlCommanderLibXml_GetTempDbRoot (const GWEN_XMLCOMMANDER *cmd)
GWENHYWFAR_API void | GWEN_XmlCommanderLibXml_LeaveDocNode (GWEN_XMLCOMMANDER *cmd)
GWENHYWFAR_API GWEN_XMLCOMMANDER * | GWEN_XmlCommanderLibXml_new (xmlNodePtr documentRoot, GWEN_DB_NODE *dbRoot)
GWENHYWFAR_API void | GWEN_XmlCommanderLibXml_SetCurrentDbGroup (GWEN_XMLCOMMANDER *cmd, GWEN_DB_NODE *db)
GWENHYWFAR_API void | GWEN_XmlCommanderLibXml_SetCurrentDocNode (GWEN_XMLCOMMANDER *cmd, xmlNodePtr n)
GWENHYWFAR_API void | GWEN_XmlCommanderLibXml_SetCurrentTempDbGroup (GWEN_XMLCOMMANDER *cmd, GWEN_DB_NODE *db)
GWENHYWFAR_API void | GWEN_XmlCommanderLibXml_SetTempDbRoot (GWEN_XMLCOMMANDER *cmd, GWEN_DB_NODE *db)
Helper Functions
GWENHYWFAR_API xmlNodePtr | GWEN_XmlCommanderLibXml_FindFirstElement (xmlNodePtr parent, const char *elemName)
GWENHYWFAR_API xmlNodePtr | GWEN_XmlCommanderLibXml_FindNextElement (xmlNodePtr elem, const char *elemName)
GWENHYWFAR_API int | GWEN_XmlCommanderLibXml_GetIntValue (xmlNodePtr n, const char *path, int defValue)
GWENHYWFAR_API const char * | GWEN_XmlCommanderLibXml_GetXmlCharValue (xmlNodePtr n, const char *path, const char *defValue)
GWENHYWFAR_API const char * | GWEN_XmlCommanderLibXml_GetXmlCharValueByPath (xmlNodePtr elem, const char *path, const char *defValue)
GWENHYWFAR_API xmlNodePtr | GWEN_XmlCommanderLibXml_GetXmlNode (xmlNodePtr n, const char *path, uint32_t flags)
GWENHYWFAR_API int | GWEN_XmlCommanderLibXml_SetIntValue (xmlNodePtr n, const char *path, int value)
GWENHYWFAR_API int | GWEN_XmlCommanderLibXml_SetXmlCharValue (xmlNodePtr n, const char *path, const char *value)
GWENHYWFAR_API void | GWEN_XmlCommanderLibXml_SetXmlCharValueByPath (xmlNodePtr elem, const char *path, const char *value)

## Function Documentation

## GWEN_XmlCommanderLibXml_EnterDocNode()

GWENHYWFAR_API void GWEN_XmlCommanderLibXml_EnterDocNode | ( | GWEN_XMLCOMMANDER * | cmd,
|  | xmlNodePtr | xNode )

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_FindFirstElement()

GWENHYWFAR_API xmlNodePtr GWEN_XmlCommanderLibXml_FindFirstElement | ( | xmlNodePtr | parent,
|  | const char * | elemName )

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_FindNextElement()

GWENHYWFAR_API xmlNodePtr GWEN_XmlCommanderLibXml_FindNextElement | ( | xmlNodePtr | elem,
|  | const char * | elemName )

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_GetCurrentDbGroup()

GWENHYWFAR_API GWEN_DB_NODE * GWEN_XmlCommanderLibXml_GetCurrentDbGroup | ( | const GWEN_XMLCOMMANDER * | cmd | ) |

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_GetCurrentDocNode()

GWENHYWFAR_API xmlNodePtr GWEN_XmlCommanderLibXml_GetCurrentDocNode | ( | const GWEN_XMLCOMMANDER * | cmd | ) |

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_GetCurrentTempDbGroup()

GWENHYWFAR_API GWEN_DB_NODE * GWEN_XmlCommanderLibXml_GetCurrentTempDbGroup | ( | const GWEN_XMLCOMMANDER * | cmd | ) |

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_GetDbRoot()

GWENHYWFAR_API GWEN_DB_NODE * GWEN_XmlCommanderLibXml_GetDbRoot | ( | const GWEN_XMLCOMMANDER * | cmd | ) |

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_GetDocRoot()

GWENHYWFAR_API xmlNodePtr GWEN_XmlCommanderLibXml_GetDocRoot | ( | const GWEN_XMLCOMMANDER * | cmd | ) |

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_GetIntValue()

GWENHYWFAR_API int GWEN_XmlCommanderLibXml_GetIntValue | ( | xmlNodePtr | n,
|  | const char * | path,
|  | int | defValue )

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_GetTempDbRoot()

GWENHYWFAR_API GWEN_DB_NODE * GWEN_XmlCommanderLibXml_GetTempDbRoot | ( | const GWEN_XMLCOMMANDER * | cmd | ) |

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_GetXmlCharValue()

GWENHYWFAR_API const char * GWEN_XmlCommanderLibXml_GetXmlCharValue | ( | xmlNodePtr | n,
|  | const char * | path,
|  | const char * | defValue )

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_GetXmlCharValueByPath()

GWENHYWFAR_API const char * GWEN_XmlCommanderLibXml_GetXmlCharValueByPath | ( | xmlNodePtr | elem,
|  | const char * | path,
|  | const char * | defValue )

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_GetXmlNode()

GWENHYWFAR_API xmlNodePtr GWEN_XmlCommanderLibXml_GetXmlNode | ( | xmlNodePtr | n,
|  | const char * | path,
|  | uint32_t | flags )

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_LeaveDocNode()

GWENHYWFAR_API void GWEN_XmlCommanderLibXml_LeaveDocNode | ( | GWEN_XMLCOMMANDER * | cmd | ) |

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_new()

GWENHYWFAR_API GWEN_XMLCOMMANDER * GWEN_XmlCommanderLibXml_new | ( | xmlNodePtr | documentRoot,
|  | GWEN_DB_NODE * | dbRoot )

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_SetCurrentDbGroup()

GWENHYWFAR_API void GWEN_XmlCommanderLibXml_SetCurrentDbGroup | ( | GWEN_XMLCOMMANDER * | cmd,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_SetCurrentDocNode()

GWENHYWFAR_API void GWEN_XmlCommanderLibXml_SetCurrentDocNode | ( | GWEN_XMLCOMMANDER * | cmd,
|  | xmlNodePtr | n )

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_SetCurrentTempDbGroup()

GWENHYWFAR_API void GWEN_XmlCommanderLibXml_SetCurrentTempDbGroup | ( | GWEN_XMLCOMMANDER * | cmd,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_SetIntValue()

GWENHYWFAR_API int GWEN_XmlCommanderLibXml_SetIntValue | ( | xmlNodePtr | n,
|  | const char * | path,
|  | int | value )

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_SetTempDbRoot()

GWENHYWFAR_API void GWEN_XmlCommanderLibXml_SetTempDbRoot | ( | GWEN_XMLCOMMANDER * | cmd,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_SetXmlCharValue()

GWENHYWFAR_API int GWEN_XmlCommanderLibXml_SetXmlCharValue | ( | xmlNodePtr | n,
|  | const char * | path,
|  | const char * | value )

References GWENHYWFAR_API.

## GWEN_XmlCommanderLibXml_SetXmlCharValueByPath()

GWENHYWFAR_API void GWEN_XmlCommanderLibXml_SetXmlCharValueByPath | ( | xmlNodePtr | elem,
|  | const char * | path,
|  | const char * | value )

References GWENHYWFAR_API.